# Copyright (c) Stas Shtin, 2010

# This file is part of IPyPBX.

# IPyPBX is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# IPyPBX is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with IPyPBX.  If not, see <http://www.gnu.org/licenses/>.

from PyQt4 import QtCore, QtGui, QtSql


class ConnectionDataMapper(QtGui.QDataWidgetMapper):
    def add(self):
        model = self.model()
        model.insertRows(1, model.rowCount())
        
        
class MainWindow(QtGui.QMainWindow):
    """
    Main GUI window.
    """
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)

        # Tweak layout.
        self.setObjectName("MainWindow")
        self.resize(800, 400)
        self.centralwidget = QtGui.QWidget(self)
        self.centralwidget.setObjectName("centralwidget")

        # Add tab widget
        self.tabWidget = QtGui.QTabWidget(self.centralwidget)
        self.tabWidget.setGeometry(QtCore.QRect(-2, -1, 811, 491))
        self.tabWidget.setMinimumSize(QtCore.QSize(800, 480))
        self.tabWidget.setObjectName("tabWidget")

        # Connections tab definition.
        self.connectionsTab = QtGui.QWidget()
        self.connectionsTab.setObjectName("connectionsTab")
        self.layoutWidget = QtGui.QWidget(self.connectionsTab)
        self.layoutWidget.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.layoutWidget.setObjectName("layoutWidget")
        self.gridLayout = QtGui.QGridLayout(self.layoutWidget)
        self.gridLayout.setObjectName("gridLayout")
        self.connectionViewDisplay = ConnectionDataMapper()
        #self.formLayout_7 = QtGui.QFormLayout()
        #self.formLayout_7.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        #self.formLayout_7.setObjectName("formLayout_7")
        #self.label_5 = QtGui.QLabel(self.layoutWidget)
        #self.label_5.setObjectName("label_5")
        #self.formLayout_7.setWidget(0, QtGui.QFormLayout.LabelRole, self.label_5)
        #self.connectionName = QtGui.QLineEdit(self.layoutWidget)
        #self.connectionName.setMaxLength(100)
        #self.connectionName.setObjectName("connectionName")
        #self.formLayout_7.setWidget(0, QtGui.QFormLayout.FieldRole, self.connectionName)
        #self.connectionLocalIpAddress = QtGui.QLineEdit(self.layoutWidget)
        #self.connectionLocalIpAddress.setInputMethodHints(QtCore.Qt.ImhNone)
        #self.connectionLocalIpAddress.setObjectName("connectionLocalIpAddress")
        #self.formLayout_7.setWidget(1, QtGui.QFormLayout.FieldRole, self.connectionLocalIpAddress)
        #self.label_11 = QtGui.QLabel(self.layoutWidget)
        #self.label_11.setObjectName("label_11")
        #self.formLayout_7.setWidget(2, QtGui.QFormLayout.LabelRole, self.label_11)
        #self.connectionLocalPort = QtGui.QLineEdit(self.layoutWidget)
        #self.connectionLocalPort.setObjectName("connectionLocalPort")
        #self.formLayout_7.setWidget(2, QtGui.QFormLayout.FieldRole, self.connectionLocalPort)
        #self.label_13 = QtGui.QLabel(self.layoutWidget)
        #self.label_13.setObjectName("label_13")
        #self.formLayout_7.setWidget(4, QtGui.QFormLayout.LabelRole, self.label_13)
        #self.connectionFreeswitchPort = QtGui.QLineEdit(self.layoutWidget)
        #self.connectionFreeswitchPort.setObjectName("connectionFreeswitchPort")
        #self.formLayout_7.setWidget(4, QtGui.QFormLayout.FieldRole, self.connectionFreeswitchPort)
        #self.label_12 = QtGui.QLabel(self.layoutWidget)
        #self.label_12.setObjectName("label_12")
        #self.formLayout_7.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_12)
        #self.connectionFreeswitchIpAddress = QtGui.QLineEdit(self.layoutWidget)
        #self.connectionFreeswitchIpAddress.setObjectName("connectionFreeswitchIpAddress")
        #self.formLayout_7.setWidget(3, QtGui.QFormLayout.FieldRole, self.connectionFreeswitchIpAddress)
        #self.label_14 = QtGui.QLabel(self.layoutWidget)
        #self.label_14.setObjectName("label_14")
        #self.formLayout_7.setWidget(3, QtGui.QFormLayout.LabelRole, self.label_14)
        #self.gridLayout.addLayout(self.formLayout_7, 0, 1, 1, 1)
        self.connectionAdd = QtGui.QPushButton(self.layoutWidget)
        self.connectionAdd.setObjectName("connectionAdd")
        self.gridLayout.addWidget(self.connectionAdd, 1, 0, 1, 1)
        self.connectionSave = QtGui.QPushButton(self.layoutWidget)
        self.connectionSave.setObjectName("connectionSave")
        self.gridLayout.addWidget(self.connectionSave, 1, 1, 1, 1)
        self.connectionViewList = QtGui.QTableView(self.layoutWidget)
        self.connectionViewList.setObjectName("connectionViewList")
        self.gridLayout.addWidget(self.connectionViewList, 0, 0, 1, 1)
        self.tabWidget.addTab(self.connectionsTab, "")
        self.sipProfilesTab = QtGui.QWidget()
        self.sipProfilesTab.setMaximumSize(QtCore.QSize(796, 16777215))
        self.sipProfilesTab.setObjectName("sipProfilesTab")
        self.gridLayoutWidget_2 = QtGui.QWidget(self.sipProfilesTab)
        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.gridLayoutWidget_2.setObjectName("gridLayoutWidget_2")
        self.gridLayout_6 = QtGui.QGridLayout(self.gridLayoutWidget_2)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.formLayout_5 = QtGui.QFormLayout()
        self.formLayout_5.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_5.setObjectName("formLayout_5")
        self.label_9 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_9.setObjectName("label_9")
        self.formLayout_5.setWidget(0, QtGui.QFormLayout.LabelRole, self.label_9)
        self.sipProfileName = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileName.setObjectName("sipProfileName")
        self.formLayout_5.setWidget(0, QtGui.QFormLayout.FieldRole, self.sipProfileName)
        self.label_6 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_6.setObjectName("label_6")
        self.formLayout_5.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_6)
        self.sipProfileExtRtpIp = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileExtRtpIp.setObjectName("sipProfileExtRtpIp")
        self.formLayout_5.setWidget(1, QtGui.QFormLayout.FieldRole, self.sipProfileExtRtpIp)
        self.label_4 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_4.setObjectName("label_4")
        self.formLayout_5.setWidget(2, QtGui.QFormLayout.LabelRole, self.label_4)
        self.sipProfileExtSipIp = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileExtSipIp.setObjectName("sipProfileExtSipIp")
        self.formLayout_5.setWidget(2, QtGui.QFormLayout.FieldRole, self.sipProfileExtSipIp)
        self.label_8 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_8.setObjectName("label_8")
        self.formLayout_5.setWidget(3, QtGui.QFormLayout.LabelRole, self.label_8)
        self.sipProfileRtpIp = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileRtpIp.setObjectName("sipProfileRtpIp")
        self.formLayout_5.setWidget(3, QtGui.QFormLayout.FieldRole, self.sipProfileRtpIp)
        self.label_10 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_10.setObjectName("label_10")
        self.formLayout_5.setWidget(4, QtGui.QFormLayout.LabelRole, self.label_10)
        self.sipProfileSipIp = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileSipIp.setObjectName("sipProfileSipIp")
        self.formLayout_5.setWidget(4, QtGui.QFormLayout.FieldRole, self.sipProfileSipIp)
        self.label_15 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_15.setObjectName("label_15")
        self.formLayout_5.setWidget(5, QtGui.QFormLayout.LabelRole, self.label_15)
        self.sipProfileSipPort = QtGui.QLineEdit(self.gridLayoutWidget_2)
        self.sipProfileSipPort.setObjectName("sipProfileSipPort")
        self.formLayout_5.setWidget(5, QtGui.QFormLayout.FieldRole, self.sipProfileSipPort)
        self.sipProfileAcceptBlindRegistration = QtGui.QCheckBox(self.gridLayoutWidget_2)
        self.sipProfileAcceptBlindRegistration.setObjectName("sipProfileAcceptBlindRegistration")
        self.formLayout_5.setWidget(6, QtGui.QFormLayout.LabelRole, self.sipProfileAcceptBlindRegistration)
        self.sipProfileAuthenticateCalls = QtGui.QCheckBox(self.gridLayoutWidget_2)
        self.sipProfileAuthenticateCalls.setObjectName("sipProfileAuthenticateCalls")
        self.formLayout_5.setWidget(6, QtGui.QFormLayout.FieldRole, self.sipProfileAuthenticateCalls)
        self.label_16 = QtGui.QLabel(self.gridLayoutWidget_2)
        self.label_16.setText("")
        self.label_16.setObjectName("label_16")
        self.formLayout_5.setWidget(8, QtGui.QFormLayout.LabelRole, self.label_16)
        self.sipProfileIsActive = QtGui.QCheckBox(self.gridLayoutWidget_2)
        self.sipProfileIsActive.setChecked(True)
        self.sipProfileIsActive.setObjectName("sipProfileIsActive")
        self.formLayout_5.setWidget(7, QtGui.QFormLayout.LabelRole, self.sipProfileIsActive)
        self.gridLayout_6.addLayout(self.formLayout_5, 0, 1, 1, 1)
        self.sipProfileAdd = QtGui.QPushButton(self.gridLayoutWidget_2)
        self.sipProfileAdd.setObjectName("sipProfileAdd")
        self.gridLayout_6.addWidget(self.sipProfileAdd, 1, 0, 1, 1)
        self.sipProfileSave = QtGui.QPushButton(self.gridLayoutWidget_2)
        self.sipProfileSave.setObjectName("sipProfileSave")
        self.gridLayout_6.addWidget(self.sipProfileSave, 1, 1, 1, 1)
        self.sipProfileList = QtGui.QListView(self.gridLayoutWidget_2)
        self.sipProfileList.setObjectName("sipProfileList")
        self.gridLayout_6.addWidget(self.sipProfileList, 0, 0, 1, 1)
        self.tabWidget.addTab(self.sipProfilesTab, "")
        self.domainsTab = QtGui.QWidget()
        self.domainsTab.setObjectName("domainsTab")
        self.gridLayoutWidget = QtGui.QWidget(self.domainsTab)
        self.gridLayoutWidget.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
        self.gridLayout_3 = QtGui.QGridLayout(self.gridLayoutWidget)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.domainList = QtGui.QListView(self.gridLayoutWidget)
        self.domainList.setObjectName("domainList")
        self.gridLayout_3.addWidget(self.domainList, 0, 0, 1, 1)
        self.domainAdd = QtGui.QPushButton(self.gridLayoutWidget)
        self.domainAdd.setObjectName("domainAdd")
        self.gridLayout_3.addWidget(self.domainAdd, 1, 0, 1, 1)
        self.domainSave = QtGui.QPushButton(self.gridLayoutWidget)
        self.domainSave.setObjectName("domainSave")
        self.gridLayout_3.addWidget(self.domainSave, 1, 1, 1, 1)
        self.formLayout_3 = QtGui.QFormLayout()
        self.formLayout_3.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_3.setObjectName("formLayout_3")
        self.label_17 = QtGui.QLabel(self.gridLayoutWidget)
        self.label_17.setObjectName("label_17")
        self.formLayout_3.setWidget(0, QtGui.QFormLayout.LabelRole, self.label_17)
        self.domainHostName = QtGui.QLineEdit(self.gridLayoutWidget)
        self.domainHostName.setText("")
        self.domainHostName.setObjectName("domainHostName")
        self.formLayout_3.setWidget(0, QtGui.QFormLayout.FieldRole, self.domainHostName)
        self.label_18 = QtGui.QLabel(self.gridLayoutWidget)
        self.label_18.setObjectName("label_18")
        self.formLayout_3.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_18)
        self.domainSipProfile = QtGui.QComboBox(self.gridLayoutWidget)
        self.domainSipProfile.setObjectName("domainSipProfile")
        self.formLayout_3.setWidget(1, QtGui.QFormLayout.FieldRole, self.domainSipProfile)
        self.domainIsActive = QtGui.QCheckBox(self.gridLayoutWidget)
        self.domainIsActive.setChecked(True)
        self.domainIsActive.setObjectName("domainIsActive")
        self.formLayout_3.setWidget(2, QtGui.QFormLayout.LabelRole, self.domainIsActive)
        self.gridLayout_3.addLayout(self.formLayout_3, 0, 1, 1, 1)
        self.tabWidget.addTab(self.domainsTab, "")
        self.gatewaysTab = QtGui.QWidget()
        self.gatewaysTab.setObjectName("gatewaysTab")
        self.gridLayoutWidget_3 = QtGui.QWidget(self.gatewaysTab)
        self.gridLayoutWidget_3.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.gridLayoutWidget_3.setObjectName("gridLayoutWidget_3")
        self.gridLayout_8 = QtGui.QGridLayout(self.gridLayoutWidget_3)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.gatewayList = QtGui.QListView(self.gridLayoutWidget_3)
        self.gatewayList.setObjectName("gatewayList")
        self.gridLayout_8.addWidget(self.gatewayList, 0, 0, 1, 1)
        self.gatewayAdd = QtGui.QPushButton(self.gridLayoutWidget_3)
        self.gatewayAdd.setObjectName("gatewayAdd")
        self.gridLayout_8.addWidget(self.gatewayAdd, 1, 0, 1, 1)
        self.gatewaySave = QtGui.QPushButton(self.gridLayoutWidget_3)
        self.gatewaySave.setObjectName("gatewaySave")
        self.gridLayout_8.addWidget(self.gatewaySave, 1, 1, 1, 1)
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label_19 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_19.setObjectName("label_19")
        self.formLayout.setWidget(2, QtGui.QFormLayout.LabelRole, self.label_19)
        self.label_20 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_20.setObjectName("label_20")
        self.formLayout.setWidget(3, QtGui.QFormLayout.LabelRole, self.label_20)
        self.label = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label.setObjectName("label")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.label)
        self.gatewayName = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayName.setObjectName("gatewayName")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.gatewayName)
        self.label_21 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_21.setObjectName("label_21")
        self.formLayout.setWidget(4, QtGui.QFormLayout.LabelRole, self.label_21)
        self.label_7 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_7.setObjectName("label_7")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_7)
        self.label_22 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_22.setObjectName("label_22")
        self.formLayout.setWidget(5, QtGui.QFormLayout.LabelRole, self.label_22)
        self.label_23 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_23.setObjectName("label_23")
        self.formLayout.setWidget(6, QtGui.QFormLayout.LabelRole, self.label_23)
        self.label_24 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_24.setObjectName("label_24")
        self.formLayout.setWidget(7, QtGui.QFormLayout.LabelRole, self.label_24)
        self.label_25 = QtGui.QLabel(self.gridLayoutWidget_3)
        self.label_25.setText("")
        self.label_25.setObjectName("label_25")
        self.formLayout.setWidget(9, QtGui.QFormLayout.LabelRole, self.label_25)
        self.gatewayIsActive = QtGui.QCheckBox(self.gridLayoutWidget_3)
        self.gatewayIsActive.setChecked(True)
        self.gatewayIsActive.setObjectName("gatewayIsActive")
        self.formLayout.setWidget(8, QtGui.QFormLayout.LabelRole, self.gatewayIsActive)
        self.gatewayCallerIdInFromField = QtGui.QCheckBox(self.gridLayoutWidget_3)
        self.gatewayCallerIdInFromField.setObjectName("gatewayCallerIdInFromField")
        self.formLayout.setWidget(8, QtGui.QFormLayout.FieldRole, self.gatewayCallerIdInFromField)
        self.comboBox = QtGui.QComboBox(self.gridLayoutWidget_3)
        self.comboBox.setObjectName("comboBox")
        self.formLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.comboBox)
        self.gatewayUsername = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayUsername.setObjectName("gatewayUsername")
        self.formLayout.setWidget(2, QtGui.QFormLayout.FieldRole, self.gatewayUsername)
        self.gatewayPassword = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayPassword.setEchoMode(QtGui.QLineEdit.Password)
        self.gatewayPassword.setObjectName("gatewayPassword")
        self.formLayout.setWidget(3, QtGui.QFormLayout.FieldRole, self.gatewayPassword)
        self.gatewayRealm = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayRealm.setObjectName("gatewayRealm")
        self.formLayout.setWidget(4, QtGui.QFormLayout.FieldRole, self.gatewayRealm)
        self.gatewayFromDomain = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayFromDomain.setObjectName("gatewayFromDomain")
        self.formLayout.setWidget(5, QtGui.QFormLayout.FieldRole, self.gatewayFromDomain)
        self.gatewayExpireInSeconds = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayExpireInSeconds.setObjectName("gatewayExpireInSeconds")
        self.formLayout.setWidget(6, QtGui.QFormLayout.FieldRole, self.gatewayExpireInSeconds)
        self.gatewayRetryInSeconds = QtGui.QLineEdit(self.gridLayoutWidget_3)
        self.gatewayRetryInSeconds.setObjectName("gatewayRetryInSeconds")
        self.formLayout.setWidget(7, QtGui.QFormLayout.FieldRole, self.gatewayRetryInSeconds)
        self.gridLayout_8.addLayout(self.formLayout, 0, 1, 1, 1)
        self.tabWidget.addTab(self.gatewaysTab, "")
        self.endpointsTab = QtGui.QWidget()
        self.endpointsTab.setObjectName("endpointsTab")
        self.gridLayoutWidget_4 = QtGui.QWidget(self.endpointsTab)
        self.gridLayoutWidget_4.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.gridLayoutWidget_4.setObjectName("gridLayoutWidget_4")
        self.gridLayout_2 = QtGui.QGridLayout(self.gridLayoutWidget_4)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.endpointAdd = QtGui.QPushButton(self.gridLayoutWidget_4)
        self.endpointAdd.setObjectName("endpointAdd")
        self.gridLayout_2.addWidget(self.endpointAdd, 1, 0, 1, 1)
        self.endpointSave = QtGui.QPushButton(self.gridLayoutWidget_4)
        self.endpointSave.setObjectName("endpointSave")
        self.gridLayout_2.addWidget(self.endpointSave, 1, 1, 1, 1)
        self.formLayout_2 = QtGui.QFormLayout()
        self.formLayout_2.setObjectName("formLayout_2")
        self.label_2 = QtGui.QLabel(self.gridLayoutWidget_4)
        self.label_2.setObjectName("label_2")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.LabelRole, self.label_2)
        self.endpointUseId = QtGui.QLineEdit(self.gridLayoutWidget_4)
        self.endpointUseId.setObjectName("endpointUseId")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.FieldRole, self.endpointUseId)
        self.label_26 = QtGui.QLabel(self.gridLayoutWidget_4)
        self.label_26.setObjectName("label_26")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_26)
        self.label_27 = QtGui.QLabel(self.gridLayoutWidget_4)
        self.label_27.setObjectName("label_27")
        self.formLayout_2.setWidget(2, QtGui.QFormLayout.LabelRole, self.label_27)
        self.endpointPassword = QtGui.QLineEdit(self.gridLayoutWidget_4)
        self.endpointPassword.setEchoMode(QtGui.QLineEdit.Password)
        self.endpointPassword.setObjectName("endpointPassword")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.FieldRole, self.endpointPassword)
        self.endpontDomain = QtGui.QComboBox(self.gridLayoutWidget_4)
        self.endpontDomain.setObjectName("endpontDomain")
        self.formLayout_2.setWidget(2, QtGui.QFormLayout.FieldRole, self.endpontDomain)
        self.endpointIsActive = QtGui.QCheckBox(self.gridLayoutWidget_4)
        self.endpointIsActive.setChecked(True)
        self.endpointIsActive.setObjectName("endpointIsActive")
        self.formLayout_2.setWidget(3, QtGui.QFormLayout.LabelRole, self.endpointIsActive)
        self.gridLayout_2.addLayout(self.formLayout_2, 0, 1, 1, 1)
        self.endpointList = QtGui.QListWidget(self.gridLayoutWidget_4)
        self.endpointList.setObjectName("endpointList")
        self.gridLayout_2.addWidget(self.endpointList, 0, 0, 1, 1)
        self.tabWidget.addTab(self.endpointsTab, "")
        self.extensionsTab = QtGui.QWidget()
        self.extensionsTab.setObjectName("extensionsTab")
        self.gridLayoutWidget_5 = QtGui.QWidget(self.extensionsTab)
        self.gridLayoutWidget_5.setGeometry(QtCore.QRect(10, 10, 781, 351))
        self.gridLayoutWidget_5.setObjectName("gridLayoutWidget_5")
        self.gridLayout_4 = QtGui.QGridLayout(self.gridLayoutWidget_5)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.extensionList = QtGui.QListView(self.gridLayoutWidget_5)
        self.extensionList.setObjectName("extensionList")
        self.gridLayout_4.addWidget(self.extensionList, 0, 0, 1, 1)
        self.extensionAdd = QtGui.QPushButton(self.gridLayoutWidget_5)
        self.extensionAdd.setObjectName("extensionAdd")
        self.gridLayout_4.addWidget(self.extensionAdd, 1, 0, 1, 1)
        self.extensionSave = QtGui.QPushButton(self.gridLayoutWidget_5)
        self.extensionSave.setObjectName("extensionSave")
        self.gridLayout_4.addWidget(self.extensionSave, 1, 1, 1, 1)
        self.formLayout_4 = QtGui.QFormLayout()
        self.formLayout_4.setObjectName("formLayout_4")
        self.label_3 = QtGui.QLabel(self.gridLayoutWidget_5)
        self.label_3.setObjectName("label_3")
        self.formLayout_4.setWidget(1, QtGui.QFormLayout.LabelRole, self.label_3)
        self.extensionDialplan = QtGui.QLineEdit(self.gridLayoutWidget_5)
        self.extensionDialplan.setObjectName("extensionDialplan")
        self.formLayout_4.setWidget(1, QtGui.QFormLayout.FieldRole, self.extensionDialplan)
        self.label_28 = QtGui.QLabel(self.gridLayoutWidget_5)
        self.label_28.setObjectName("label_28")
        self.formLayout_4.setWidget(0, QtGui.QFormLayout.LabelRole, self.label_28)
        self.label_29 = QtGui.QLabel(self.gridLayoutWidget_5)
        self.label_29.setObjectName("label_29")
        self.formLayout_4.setWidget(2, QtGui.QFormLayout.LabelRole, self.label_29)
        self.label_30 = QtGui.QLabel(self.gridLayoutWidget_5)
        self.label_30.setObjectName("label_30")
        self.formLayout_4.setWidget(3, QtGui.QFormLayout.LabelRole, self.label_30)
        self.extensionIsActive = QtGui.QCheckBox(self.gridLayoutWidget_5)
        self.extensionIsActive.setChecked(True)
        self.extensionIsActive.setObjectName("extensionIsActive")
        self.formLayout_4.setWidget(4, QtGui.QFormLayout.LabelRole, self.extensionIsActive)
        self.extensionAuthenticateCalls = QtGui.QCheckBox(self.gridLayoutWidget_5)
        self.extensionAuthenticateCalls.setChecked(True)
        self.extensionAuthenticateCalls.setObjectName("extensionAuthenticateCalls")
        self.formLayout_4.setWidget(4, QtGui.QFormLayout.FieldRole, self.extensionAuthenticateCalls)
        self.extensionDestinationMatch = QtGui.QLineEdit(self.gridLayoutWidget_5)
        self.extensionDestinationMatch.setObjectName("extensionDestinationMatch")
        self.formLayout_4.setWidget(0, QtGui.QFormLayout.FieldRole, self.extensionDestinationMatch)
        self.extensionDomain = QtGui.QComboBox(self.gridLayoutWidget_5)
        self.extensionDomain.setObjectName("extensionDomain")
        self.formLayout_4.setWidget(2, QtGui.QFormLayout.FieldRole, self.extensionDomain)
        self.extensionEndpoint = QtGui.QComboBox(self.gridLayoutWidget_5)
        self.extensionEndpoint.setObjectName("extensionEndpoint")
        self.formLayout_4.setWidget(3, QtGui.QFormLayout.FieldRole, self.extensionEndpoint)
        self.gridLayout_4.addLayout(self.formLayout_4, 0, 1, 1, 1)
        self.tabWidget.addTab(self.extensionsTab, "")
        self.setCentralWidget(self.centralwidget)

        self.retranslateUi()
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(self)

    def retranslateUi(self):
        locale = QtCore.QLocale.system().name()
        translator = QtCore.QTranslator()
    
        if translator.load("ipypbx_%s" % locale.toLower(), "ipypbx/locale"):
            QtGui.QApplication.installTranslator(translator)

        self.setWindowTitle(
            QtGui.QApplication.translate(
                "MainWindow", "IPyPBX", None, QtGui.QApplication.UnicodeUTF8))
        #self.label_5.setText(QtGui.QApplication.translate("MainWindow", "Name", None, QtGui.QApplication.UnicodeUTF8))
        #self.label_11.setText(QtGui.QApplication.translate("MainWindow", "Local Port", None, QtGui.QApplication.UnicodeUTF8))
        #self.label_13.setText(QtGui.QApplication.translate("MainWindow", "Freeswitch Port", None, QtGui.QApplication.UnicodeUTF8))
        #self.label_12.setText(QtGui.QApplication.translate("MainWindow", "Local IP address", None, QtGui.QApplication.UnicodeUTF8))
        #self.label_14.setText(QtGui.QApplication.translate("MainWindow", "Freeswitch IP Address", None, QtGui.QApplication.UnicodeUTF8))
        self.connectionAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.connectionSave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.connectionsTab), QtGui.QApplication.translate("MainWindow", "Connections", None, QtGui.QApplication.UnicodeUTF8))
        self.label_9.setText(QtGui.QApplication.translate("MainWindow", "Name", None, QtGui.QApplication.UnicodeUTF8))
        self.label_6.setText(QtGui.QApplication.translate("MainWindow", "External RTP IP", None, QtGui.QApplication.UnicodeUTF8))
        self.label_4.setText(QtGui.QApplication.translate("MainWindow", "External SIP IP", None, QtGui.QApplication.UnicodeUTF8))
        self.label_8.setText(QtGui.QApplication.translate("MainWindow", "RTP IP", None, QtGui.QApplication.UnicodeUTF8))
        self.label_10.setText(QtGui.QApplication.translate("MainWindow", "SIP IP", None, QtGui.QApplication.UnicodeUTF8))
        self.label_15.setText(QtGui.QApplication.translate("MainWindow", "SIP Port", None, QtGui.QApplication.UnicodeUTF8))
        self.sipProfileAcceptBlindRegistration.setText(QtGui.QApplication.translate("MainWindow", "Accept Blind Registration", None, QtGui.QApplication.UnicodeUTF8))
        self.sipProfileAuthenticateCalls.setText(QtGui.QApplication.translate("MainWindow", "Authenticate Calls", None, QtGui.QApplication.UnicodeUTF8))
        self.sipProfileIsActive.setText(QtGui.QApplication.translate("MainWindow", "Is Active", None, QtGui.QApplication.UnicodeUTF8))
        self.sipProfileAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.sipProfileSave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.sipProfilesTab), QtGui.QApplication.translate("MainWindow", "SIP Profiles", None, QtGui.QApplication.UnicodeUTF8))
        self.domainAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.domainSave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.label_17.setText(QtGui.QApplication.translate("MainWindow", "Host Name", None, QtGui.QApplication.UnicodeUTF8))
        self.label_18.setText(QtGui.QApplication.translate("MainWindow", "SIP Profile", None, QtGui.QApplication.UnicodeUTF8))
        self.domainIsActive.setText(QtGui.QApplication.translate("MainWindow", "Is Active", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.domainsTab), QtGui.QApplication.translate("MainWindow", "Domains", None, QtGui.QApplication.UnicodeUTF8))
        self.gatewayAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.gatewaySave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.label_19.setText(QtGui.QApplication.translate("MainWindow", "Username", None, QtGui.QApplication.UnicodeUTF8))
        self.label_20.setText(QtGui.QApplication.translate("MainWindow", "Password", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("MainWindow", "Name", None, QtGui.QApplication.UnicodeUTF8))
        self.label_21.setText(QtGui.QApplication.translate("MainWindow", "Realm", None, QtGui.QApplication.UnicodeUTF8))
        self.label_7.setText(QtGui.QApplication.translate("MainWindow", "SIP Profile", None, QtGui.QApplication.UnicodeUTF8))
        self.label_22.setText(QtGui.QApplication.translate("MainWindow", "From Domain", None, QtGui.QApplication.UnicodeUTF8))
        self.label_23.setText(QtGui.QApplication.translate("MainWindow", "Expire In Seconds", None, QtGui.QApplication.UnicodeUTF8))
        self.label_24.setText(QtGui.QApplication.translate("MainWindow", "Retry In Seconds", None, QtGui.QApplication.UnicodeUTF8))
        self.gatewayIsActive.setText(QtGui.QApplication.translate("MainWindow", "Is Active", None, QtGui.QApplication.UnicodeUTF8))
        self.gatewayCallerIdInFromField.setText(QtGui.QApplication.translate("MainWindow", "Caller ID In \"From\" Field", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.gatewaysTab), QtGui.QApplication.translate("MainWindow", "Gateways", None, QtGui.QApplication.UnicodeUTF8))
        self.endpointAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.endpointSave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setText(QtGui.QApplication.translate("MainWindow", "User ID", None, QtGui.QApplication.UnicodeUTF8))
        self.label_26.setText(QtGui.QApplication.translate("MainWindow", "Password", None, QtGui.QApplication.UnicodeUTF8))
        self.label_27.setText(QtGui.QApplication.translate("MainWindow", "Domain", None, QtGui.QApplication.UnicodeUTF8))
        self.endpointIsActive.setText(QtGui.QApplication.translate("MainWindow", "Is Active", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.endpointsTab), QtGui.QApplication.translate("MainWindow", "Endpoints", None, QtGui.QApplication.UnicodeUTF8))
        self.extensionAdd.setText(QtGui.QApplication.translate("MainWindow", "Add", None, QtGui.QApplication.UnicodeUTF8))
        self.extensionSave.setText(QtGui.QApplication.translate("MainWindow", "Save", None, QtGui.QApplication.UnicodeUTF8))
        self.label_3.setText(QtGui.QApplication.translate("MainWindow", "XML Dialplan", None, QtGui.QApplication.UnicodeUTF8))
        self.label_28.setText(QtGui.QApplication.translate("MainWindow", "Destination Match", None, QtGui.QApplication.UnicodeUTF8))
        self.label_29.setText(QtGui.QApplication.translate("MainWindow", "Domain", None, QtGui.QApplication.UnicodeUTF8))
        self.label_30.setText(QtGui.QApplication.translate("MainWindow", "Endpoint", None, QtGui.QApplication.UnicodeUTF8))
        self.extensionIsActive.setText(QtGui.QApplication.translate("MainWindow", "Is Active", None, QtGui.QApplication.UnicodeUTF8))
        self.extensionAuthenticateCalls.setText(QtGui.QApplication.translate("MainWindow", "Authenticate Calls", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.extensionsTab), QtGui.QApplication.translate("MainWindow", "Extensions", None, QtGui.QApplication.UnicodeUTF8))

